package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.GoodsSpecificationEntity;
import com.seer.teach.mall.response.GoodsSpecificationResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface GoodsSpecificationConvert {

    GoodsSpecificationConvert INSTANCE = Mappers.getMapper(GoodsSpecificationConvert.class);

    GoodsSpecificationResp toResp(GoodsSpecificationEntity entity);

    List<GoodsSpecificationResp> list(List<GoodsSpecificationEntity> goodsSpecificationEntity);
}
